## ETableColumnSpecification

ETableColumnSpecification

## Functions

ETableColumnSpecification * | e_table_column_specification_new ()
gboolean | e_table_column_specification_equal ()

## Types and Values

struct | ETableColumnSpecification

## Object Hierarchy

        GObject
        ╰── ETableColumnSpecification

## Description

## Functions

### e_table_column_specification_new ()

    ETableColumnSpecification *
    e_table_column_specification_new (void);

### e_table_column_specification_equal ()

    gboolean
    e_table_column_specification_equal (ETableColumnSpecification *spec_a,
                                        ETableColumnSpecification *spec_b);

Convenience function compares `spec_a` and `spec_b` for equality, which simply means they share the same model column number.

We should strive to get rid of this function by ensuring only one ETableSpecification instance exists per table specification file. Then we could compare for equality by simply comparing pointers.

#### Parameters

spec_a | an ETableColumnSpecification |
spec_b | another ETableColumnSpecification |

#### Returns

`TRUE` if `spec_a` and `spec_b` describe the same column

## Types and Values

### struct ETableColumnSpecification

    struct ETableColumnSpecification;